Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl
Class WadlBuilder

    java.lang.Object
      com.sun.jersey.server.wadl.WadlBuilder

    public class WadlBuilder

extends java.lang.Object

This class implements the algorithm how the wadl is built for one or more `AbstractResource` classes. Wadl artifacts are created by a `WadlGenerator`. Created on: Jun 18, 2008

Version:
  $Id$
Author:
  Marc Hadley, Martin Grotzke

Constructor Summary
`WadlBuilder()`
`WadlBuilder(WadlGenerator wadlGenerator)`

Method Summary
`com.sun.research.ws.wadl.Application` | `generate(AbstractResource resource)` Generate WADL for a resource.
`com.sun.research.ws.wadl.Application` | `generate(AbstractResource resource, java.lang.String path)` Generate WADL for a virtual subresource resulting from sub resource methods.
`com.sun.research.ws.wadl.Application` | `generate(java.util.Set<AbstractResource> resources)` Generate WADL for a set of resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlBuilder

    public WadlBuilder()

### WadlBuilder

    public WadlBuilder(WadlGenerator wadlGenerator)

Method Detail

### generate

    public com.sun.research.ws.wadl.Application generate(java.util.Set<AbstractResource> resources)

  Generate WADL for a set of resources.

  Parameters:
    `resources` - the set of resources
  Returns:
    the JAXB WADL application bean

### generate

    public com.sun.research.ws.wadl.Application generate(AbstractResource resource)

  Generate WADL for a resource.

  Parameters:
    `resource` - the resource
  Returns:
    the JAXB WADL application bean

### generate

    public com.sun.research.ws.wadl.Application generate(AbstractResource resource,
                                                         java.lang.String path)

  Generate WADL for a virtual subresource resulting from sub resource methods.

  Parameters:
    `resource` - the parent resource
    `path` - the value of the methods path annotations
  Returns:
    the JAXB WADL application bean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.